<div id="body" class="container-fluid">
  <div class="row mx-n5">
    <div class="col">
      <h6 class="col-24 text-center">Managed Security Engagement Request Form</h6>
      <div class="col-24 text-center">
        This form is for Managed Security opportunities only,
        if assistance is needed for Managed Data Services (i.e. MNS Complete),
        <br />please email
        <a href="mailto:NTE_Early_Engagement@t-mobile.com" class="hyperlink">NTE_Early_Engagement@t-mobile.com</a>
        and an appropriate engineer can be assigned.
      </div>

      <h6 class="text-danger mt-1 mb-1" *ngIf="notificationMessage">{{ notificationMessage }}</h6>

      <form [formGroup]="form" novalidate>
        <div class="form-row text-center mt-1 mb-1">
          <div class="form-group form-group-sm col-12 col-md-4 col-lg-3 offset-md-8 offset-lg-9">
            <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancel()">
              Cancel
            </button>
          </div>
          <div class="form-group form-group-sm col-12 col-md-4 col-lg-3">
            <button type="button" *ngIf="isAbleToEdit && !showSaveBtn" class="btn btn-sm btn-primary btn-block" (click)="editRecord()" [disabled]="form.invalid">
              Edit
            </button>
            <button type="button" *ngIf="showSaveBtn" class="btn btn-sm btn-primary btn-block" (click)="submit()" [disabled]="form.invalid">
              Save
            </button>
          </div>
        </div>
        <div class="card mb-1">
          <mat-accordion>
            <mat-expansion-panel [expanded]="true" class="card">
              <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                <mat-panel-title><h6>Account Team</h6></mat-panel-title>
              </mat-expansion-panel-header>
              <div formGroupName="accountteam">
                <div class="form-row">
                  <div class="form-group form-group-sm row col-16">
                    <label class="col-form-label col-24 col-lg-6 text-danger">Requestor: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <input type="text" class="form-control form-control-sm" formControlName="requestor" />
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-16">
                    <label class="col-form-label col-24 col-lg-6 text-danger">Email: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <input type="text" class="form-control form-control-sm" formControlName="email" />
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-16">
                    <label class="col-form-label col-24 col-lg-6 text-danger">Info: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <input type="text" class="form-control form-control-sm" formControlName="info" />
                    </div>
                  </div>
                </div>
              </div>
            </mat-expansion-panel>
          </mat-accordion>
        </div>

        <div class="card mb-1">
          <mat-accordion>
            <mat-expansion-panel [expanded]="true" class="card">
              <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                <mat-panel-title><h6>Customer Information</h6></mat-panel-title>
              </mat-expansion-panel-header>
              <div formGroupName="customerinfo">
                <div class="form-row">
                  <div class="form-group form-group-sm row col-16">
                    <label class="col-form-label col-24 col-lg-6 text-danger">Company Name: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <input type="text" class="form-control form-control-sm" formControlName="companyname" />
                      <app-form-control-validation [control]="customerInfoControls.get('companyname')" [sourceName]="'Company Name'"></app-form-control-validation>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-lg-16">
                    <label class="col-form-label col-24 col-lg-6">Address: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <input type="text" class="form-control form-control-sm" formControlName="address" />
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-lg-16">
                    <label class="col-form-label col-24 col-lg-6">Region: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <dx-select-box [items]="regionList" formControlName="region"
                                     displayExpr="data" valueExpr="data"
                                     [searchEnabled]="true" [searchExpr]="['data']"
                                     searchMode="startswith"></dx-select-box>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-lg-16">
                    <label class="col-form-label col-24 col-lg-6">State: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <input type="text" class="form-control form-control-sm" formControlName="state" />
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-lg-16">
                    <label class="col-form-label col-24 col-lg-6">City: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <input type="text" class="form-control form-control-sm" formControlName="city" />
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-16">
                    <label class="col-form-label col-24 col-lg-6 text-danger">Contact Name: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <input type="text" class="form-control form-control-sm" formControlName="contactname" />
                      <app-form-control-validation [control]="customerInfoControls.get('contactname')" [sourceName]="'Contact Name'"></app-form-control-validation>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-16">
                    <label class="col-form-label col-24 col-lg-6 text-danger">Contact Email: </label>
                    <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                      <input type="text" class="form-control form-control-sm" formControlName="contactemail" />
                      <app-form-control-validation [control]="customerInfoControls.get('contactemail')" [sourceName]="'Contact Email'"></app-form-control-validation>
                    </div>
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24 col-lg-16">
                  <label class="col-form-label col-24 col-lg-6 text-danger">Contact Phone (xxx-xxx-xxxx): </label>
                  <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                    <input type="text" class="form-control form-control-sm" formControlName="contactphone" maxlength="12" />
                    <app-form-control-validation [control]="customerInfoControls.get('contactphone')" [sourceName]="'Contact Phone'"></app-form-control-validation>
                  </div>
                </div>
              </div>
            </mat-expansion-panel>
          </mat-accordion>
        </div>
        <div class="card mb-1">
          <mat-accordion>
            <mat-expansion-panel [expanded]="true" class="card">
              <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                <mat-panel-title><h6>Sale Information</h6></mat-panel-title>
              </mat-expansion-panel-header>
              <div formGroupName="saleinfo">
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 ">Type of Sale?</label>
                    <div class="col">
                      <dx-radio-group [items]="typeOfSaleList" layout="horizontal"
                                      displayExpr="description" valueExpr="value"
                                      formControlName="typeOfSale">
                      </dx-radio-group>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 ">Is this a RFP?</label>
                    <div class="col-24 col-lg-6">
                      <dx-radio-group [items]="rfpList" layout="horizontal"
                                      displayExpr="description" valueExpr="value"
                                      formControlName="rfp">
                      </dx-radio-group>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 ">Is this an existing T-Mobile Wireline customer?</label>
                    <div class="col-24 col-lg-6">
                      <dx-radio-group [items]="wirelineCustList" layout="horizontal"
                                      displayExpr="description" valueExpr="value"
                                      formControlName="wirelinecustomer">
                      </dx-radio-group>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 ">Is this an existing T-Mobile Managed Services customer?</label>
                    <div class="col-24 col-lg-6">
                      <dx-radio-group [items]="managedCustList" layout="horizontal"
                                      displayExpr="description" valueExpr="value"
                                      formControlName="managedservices">
                      </dx-radio-group>
                    </div>
                  </div>
                </div>
              </div>
            </mat-expansion-panel>
          </mat-accordion>
        </div>
        <div class="card mb-1">
          <mat-accordion>
            <mat-expansion-panel [expanded]="true" class="card">
              <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                <mat-panel-title><h6>Product Information</h6></mat-panel-title>
              </mat-expansion-panel-header>
              <div formGroupName="prodinfo">
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 ">Which Product is the Customer Interested in?</label>
                    <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                      <u><b>QUANTITY</b></u> (change from zero to indicate customer interests):<br />
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 "></label>
                    <div class="col-24 col-lg-20 pl-0 pl-lg-3" formArrayName="products">
                      <ng-container *ngFor="let item of allSdeProductType; let i = index;">
                        <div class="row mb-1">
                          <div class="col-md-4" [formGroupName]="i">
                            <input type="text" formControlName='qty' class="form-control form-control-sm" id="qty" />
                          </div>
                          <div class="col-md-20">
                            <label for="qty"><b>{{ item.sdePrdctTypeNme }}</b> - {{ item.sdePrdctTypeDesc }}</label>
                          </div>
                        </div>
                      </ng-container>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 ">Share File: </label>
                    <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                      <div class="mb-3">
                        File size limit of 10MB for the following file types:
                        .doc/.docx, .xls/.xlsx, .ppt/.pptx, .pdf, .vsd, .jpg, .png, .gif, .txt.
                      </div>
                      <div class="mb-1">
                        <div class="col-24 col-lg-8 pl-0">
                          <div class="custom-file">
                            <app-input-file-template (result)="onFileChange($event)"></app-input-file-template>
                            <label class="custom-file-label">{{ fileName || "Choose File" }}</label>
                            <button [disabled]='addBtnDisabled' class="btn btn-sm btn-primary add" (click)="onFileAdd()">Add</button>
                          </div>
                        </div>
                      </div>
                      <dx-data-grid id="fileSharing" [dataSource]="filelist" keyExpr="sdeDocID"
                                    [rowAlternationEnabled]="true" [showBorders]="true">
                        <dxo-sorting mode="multiple"></dxo-sorting>
                        <dxo-editing mode="row"
                                     [useIcons]="true">
                        </dxo-editing>
                        <dxo-paging [pageSize]="50"></dxo-paging>
                        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
                        <dxi-column dataField="fileName" caption="Name" dataType="string"></dxi-column>
                        <dxi-column dataField="createdDateTime" cellTemplate="createdDateTime" caption="Date Time" dataType="string"></dxi-column>
                        <div *dxTemplate="let cell of 'createdDateTime'">
                          <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
                        </div>
                        <dxi-column dataField="fileSizeQuantityDisp" caption="Size" dataType="string"></dxi-column>
                        <dxi-column type="buttons">
                          <dxi-button icon="download" hint="View" [onClick]="viewFile"> </dxi-button>
                          <dxi-button icon="trash" hint="Delete" [onClick]="deleteFile"></dxi-button>
                        </dxi-column>
                      </dx-data-grid>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label [ngClass]="(editMode) ? 'col-form-label col-24 col-lg-4' : 'col-form-label col-24 col-lg-4 text-danger'">Comments: </label>
                    <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                      <textarea class="form-control form-control-sm" formControlName="comments" rows="5"></textarea>
                      <app-form-control-validation [control]="prodInfoControls.get('comments')" [sourceName]="'Comments'"></app-form-control-validation>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 ">CC Email: </label>
                    <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                      <textarea class="form-control form-control-sm" formControlName="ccemail" rows="5"></textarea>
                      <i>Please make sure multiple email addresses are separated by a comma</i>
                    </div>
                  </div>
                </div>
              </div>
            </mat-expansion-panel>
          </mat-accordion>
        </div>
        <div class="card mb-1" *ngIf="this.OpportunityID > 0">
          <mat-accordion>
            <mat-expansion-panel [expanded]="true" class="card">
              <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                <mat-panel-title><h6>Notes History</h6></mat-panel-title>
              </mat-expansion-panel-header>
              <dx-data-grid #grid id="grid" [dataSource]="notesHistoryList" keyExpr="sdeNoteID"
                            (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                            [rowAlternationEnabled]="true" [showBorders]="true" [disabled]="!editMode">
                <dxo-sorting mode="multiple"></dxo-sorting>
                <dxo-editing mode="row">

                </dxo-editing>
                <dxo-paging [pageSize]="50"></dxo-paging>

                <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
                <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
                <dxi-column dataField="createdByFullName" caption="User Name" dataType="string"></dxi-column>
                <dxi-column dataField="createdDateTime" cellTemplate="localStartTime" caption="Date Time" dataType="string"></dxi-column>
                <dxi-column dataField="noteText" caption="Note" dataType="string"></dxi-column>
                <div *dxTemplate="let cell of 'localStartTime'">
                  <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
                </div>
              </dx-data-grid>
            </mat-expansion-panel>
          </mat-accordion>
        </div>
        <div class="card mb-1" *ngIf="editMode">
          <mat-accordion>
            <mat-expansion-panel [expanded]="true" class="card">
              <mat-expansion-panel-header class="card-header">
                <mat-panel-title>Status Update</mat-panel-title>
              </mat-expansion-panel-header>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8">Workflow Status:</label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <dx-select-box [items]="statusList" formControlName="statusID"
                                   displayExpr="stusDes" valueExpr="stusId"
                                   [searchEnabled]="true" [searchExpr]="['stusDes']"
                                   searchMode="startswith"
                                   (onSelectionChanged)="ddlStatusChange($event)"></dx-select-box>
                  </div>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8">Assigned To:</label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <dx-select-box [items]="assignedList" formControlName="assignedToId"
                                   displayExpr="dsplNme" valueExpr="userId" placeholder="Select User"
                                   [searchEnabled]="true" [searchExpr]="['dsplNme']"
                                   searchMode="startswith"></dx-select-box>
                  </div>
                </div>
              </div>
            </mat-expansion-panel>
          </mat-accordion>
        </div>

        <div class="form-row text-center mt-1">
          <div class="form-group form-group-sm col-12 col-md-4 col-lg-3 offset-md-8 offset-lg-9">
            <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancel()">
              Cancel
            </button>
          </div>
          <div class="form-group form-group-sm col-12 col-md-4 col-lg-3">
            <button type="button" *ngIf="isAbleToEdit && !showSaveBtn" class="btn btn-sm btn-primary btn-block" (click)="editRecord()" [disabled]="form.invalid">
              Edit
            </button>
            <button type="button" *ngIf="showSaveBtn" class="btn btn-sm btn-primary btn-block" (click)="submit()" [disabled]="form.invalid">
              Save
            </button>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
